scala.runtime

# AbstractFunction1

#### abstract class AbstractFunction1[-T1, +R] extends (T1) ⇒ R

Source
  AbstractFunction1.scala

Linear Supertypes
(T1) ⇒ R, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbstractFunction1
2. Function1
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AbstractFunction1()

### Abstract Value Members

1. #### abstract def apply(v1: T1): R

   Apply the body of this function to the argument.

   Apply the body of this function to the argument.

   returns

     the result of function application.

   Definition Classes
     Function1

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AbstractFunction1[T1, R] to any2stringadd[AbstractFunction1[T1, R]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AbstractFunction1[T1, R], B)

   Implicit information
     This member is added by an implicit conversion from AbstractFunction1[T1, R] to ArrowAssoc[AbstractFunction1[T1, R]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def andThen[A](g: (R) ⇒ A): (T1) ⇒ A

   Composes two instances of Function1 in a new Function1, with this function applied first.

   Composes two instances of Function1 in a new Function1, with this function applied first.

   A

     the result type of function `g`

   g

     a function R => A

   returns

     a new function `f` such that `f(x) == g(apply(x))`

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def compose[A](g: (A) ⇒ T1): (A) ⇒ R

   Composes two instances of Function1 in a new Function1, with this function applied last.

   Composes two instances of Function1 in a new Function1, with this function applied last.

   A

     the type to which function `g` can be applied

   g

     a function A => T1

   returns

     a new function `f` such that `f(x) == apply(g(x))`

   Definition Classes
     Function1
   Annotations
     @unspecialized()

10. #### def ensuring(cond: (AbstractFunction1[T1, R]) ⇒ Boolean, msg: ⇒ Any): AbstractFunction1[T1, R]

    Implicit information
      This member is added by an implicit conversion from AbstractFunction1[T1, R] to Ensuring[AbstractFunction1[T1, R]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (AbstractFunction1[T1, R]) ⇒ Boolean): AbstractFunction1[T1, R]

    Implicit information
      This member is added by an implicit conversion from AbstractFunction1[T1, R] to Ensuring[AbstractFunction1[T1, R]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): AbstractFunction1[T1, R]

    Implicit information
      This member is added by an implicit conversion from AbstractFunction1[T1, R] to Ensuring[AbstractFunction1[T1, R]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): AbstractFunction1[T1, R]

    Implicit information
      This member is added by an implicit conversion from AbstractFunction1[T1, R] to Ensuring[AbstractFunction1[T1, R]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from AbstractFunction1[T1, R] to Predef.StringFormat[AbstractFunction1[T1, R]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### def →[B](y: B): (AbstractFunction1[T1, R], B)

    Implicit information
      This member is added by an implicit conversion from AbstractFunction1[T1, R] to ArrowAssoc[AbstractFunction1[T1, R]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (T1) ⇒ R

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbstractFunction1[T1, R] to any2stringadd[AbstractFunction1[T1, R]]

### Inherited by implicit conversion StringFormat from AbstractFunction1[T1, R] to Predef.StringFormat[AbstractFunction1[T1, R]]

### Inherited by implicit conversion Ensuring from AbstractFunction1[T1, R] to Ensuring[AbstractFunction1[T1, R]]

### Inherited by implicit conversion ArrowAssoc from AbstractFunction1[T1, R] to ArrowAssoc[AbstractFunction1[T1, R]]

### Ungrouped